Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 498022 - dev-python/suds - switch to jurko/suds
Summary: dev-python/suds - switch to jurko/suds
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL: https://bitbucket.org/jurko/suds
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-13 18:30 UTC by Tolga Dalman
Modified: 2015-07-28 01:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
diff -u of ebuilds (suds.patch,1.81 KB, patch)
2014-04-07 01:27 UTC, Ian Delaney (RETIRED)
Details | Diff
suds-0.6.ebuild (suds-0.6.ebuild,1.26 KB, text/plain)
2015-02-17 08:23 UTC, Per Pomsel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tolga Dalman 2014-01-13 18:30:47 UTC
Unfortunately, the SOAP client library suds is no longer maintained by the original author. However, there are some forks. In particular, the suds fork by
'jurko' seems promising: https://bitbucket.org/jurko/suds

I propose to switch to this fork. This way, Python 3 will be available which presumably fixes bug #425810.

Thanks in advance!
Comment 1 Ian Delaney (RETIRED) gentoo-dev 2014-04-07 01:27:55 UTC
Created attachment 374440 [details, diff]
diff -u of ebuilds

If no objections shall commit this version soon.
Comment 2 Dirkjan Ochtman gentoo-dev 2014-04-07 07:03:18 UTC
Sounds good to me.
Comment 3 Per Pomsel 2015-02-17 08:23:04 UTC
Version 0.6 of dev-python/suds (jurko) has been released. I created an ebuild based on the patch (https://bugs.gentoo.org/show_bug.cgi?id=498022#c1).
Comment 4 Per Pomsel 2015-02-17 08:23:47 UTC
Created attachment 396660 [details]
suds-0.6.ebuild
Comment 5 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2015-07-25 04:09:56 UTC
fixed in 0.6/0.6-r1 of suds
Comment 6 Alec Moskvin 2015-07-25 14:17:28 UTC
(In reply to Matthew Thode ( prometheanfire ) from comment #5)
> fixed in 0.6/0.6-r1 of suds

The new ebuild fails with USE="-doc" due to this line:

> use doc && epydoc -n "Suds - ${DESCRIPTION}" -o doc suds || die

$ false && echo Done || echo Failed
Failed
Comment 7 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2015-07-25 18:58:50 UTC
switched from this:
use doc && epydoc -n "Suds - ${DESCRIPTION}" -o doc suds || die
to this:
! use doc || epydoc -n "Suds - ${DESCRIPTION}" -o doc suds || die

fixed in place as it was a build failure
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-07-25 19:22:44 UTC
How about you stop writing ugly one-liners for the sake of it, and use if ... fi?
Comment 9 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2015-07-25 20:57:30 UTC
no need to be a dick about it
Comment 10 Tolga Dalman 2015-07-27 09:08:37 UTC
Thanks, works fine with Python 3.4.